Summary:	C I/O libraries for files in the nifti-1 data format
Summary(pl.UTF-8):	Biblioteki C wejścia/wyjścia dla plików danych w formacie nifti-1
Name:		nifticlib
Version:	2.0.0
Release:	1
License:	Public Domain
Group:		Libraries
Source0:	http://downloads.sourceforge.net/niftilib/%{name}-%{version}.tar.gz
# Source0-md5:	425a711f8f92fb1e1f088cbc55bea53a
Patch0:		%{name}-link.patch
Patch1:		%{name}-cmake.patch
URL:		http://niftilib.sourceforge.net/
BuildRequires:	cmake
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
niftilib is a set of I/O library for reading and writing files in the
nifti-1 data format. nifti-1 is a binary file format for storing
medical image data, e.g. magnetic resonance image (MRI) and
functional MRI (fMRI) brain images.

This package contains C libraries.

%description -l pl.UTF-8
niftilib to biblioteki wejścia/wyjścia do odczytu i zapisu plików
danych w formacie nifti-1. Jest to binarny format plików do
przechowywania danych obrazów medycznych, np. obrazów rezonansu
magnetycznego (MRI) czy funkcjonalnych obrazów rezonansu
magnetycznego (fMRI) mózgu.

Ten pakiet zawiera biblioteki C.

%package devel
Summary:	Header files for niftilib C libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek C niftilib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
Header files for niftilib C libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek C niftilib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README Updates.txt
%attr(755,root,root) %{_bindir}/nifti_stats
%attr(755,root,root) %{_bindir}/nifti_tool
%attr(755,root,root) %{_bindir}/nifti1_test
%attr(755,root,root) %{_libdir}/libnifticdf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnifticdf.so.2
%attr(755,root,root) %{_libdir}/libniftiio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libniftiio.so.2
%attr(755,root,root) %{_libdir}/libznz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libznz.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnifticdf.so
%attr(755,root,root) %{_libdir}/libniftiio.so
%attr(755,root,root) %{_libdir}/libznz.so
%{_includedir}/nifti
%changelog
* Sun Dec 23 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nifticlib.git;a=log;h=master

* Sun Dec 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 9ed6578
- updated to 2.0.0
- updated cmake patch

* Fri Dec 04 2009 sparky <sparky@pld-linux.org> 30ff224
- trick cmake not to require c++ compiler

* Mon Sep 29 2008 Jakub Bogusz <qboosh@pld-linux.org> a0a4ac8
- unified cmake -D options

* Sun Jan 20 2008 Jakub Bogusz <qboosh@pld-linux.org> a6a33b3
- added cmake patch, pass libdir in proper variable
  (welcome to cmake: how libdir is called in this project?)

* Sun Jan 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 08877ba
- argh, allow override

* Sun Jan 20 2008 Jakub Bogusz <qboosh@pld-linux.org> f46f7b8
- new

* Sun Jan 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 2aea29a
- libnifticdf needs -lm

